﻿@model AHCBL.Dto.Admin.PopupListDto
@{
    ViewBag.Title = "Popup List";
}

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    <div class="xp-contentbar" style="margin-top:60px;">
        <div class="row">
            <!-- Start XP Col -->
            <div class="col-md-12 col-lg-12 col-xl-12">
                <div class="card m-b-30">
                    <div class="card-header bg-white">
                        <h5 class="card-title text-black">팝업레이어 입력</h5>
                    </div>
                    <div class="card-body">
                        <div class="alert alert-light" role="alert">
                            <p>
                                초기화면 접속 시 자동으로 뜰 팝업레이어를 설정합니다.
                            </p>
                        </div>
                        <div class="table-responsive">

                            <div style="min-width:1366px;max-width:100%; margin:auto;">
                                <h5>@ViewBag.Message</h5>
                                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                                <table class="table">
                                    <tr>
                                        <th>
                                            <label>구분</label>
                                        </th>
                                        <td>
                                            <p class="font-11">커뮤니티에 표시될 것인지 쇼핑몰에 표시될 것인지를 설정합니다.</p>
                                            @Html.DropDownListFor(model => model.grp_id, ViewBag.group_id as SelectList, new { @class = "form-control bg-white border" })
                                        </td>
                                        <th>
                                            <label>접속기기</label>
                                        </th>
                                        <td>
                                            <p class="font-11">팝업레이어가 표시될 접속기기를 설정합니다.</p>
                                            @Html.DropDownListFor(model => model.drive_id, ViewBag.drv_id as SelectList, new { @class = "form-control bg-white border" })
                                        </td>
                                        <th>
                                            <label>시간필수</label>
                                        </th>
                                        <td colspan="3">
                                            <p class="font-11">고객이 다시 보지 않음을 선택할 시 몇 시간동안 팝업레이어를 보여주지 않을지 설정합니다.</p>
                                            <div class="input-group mb-2" style="width:150px">
                                                @Html.EditorFor(model => model.disable_hours, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                <div class="input-group-append">
                                                    <span class="input-group-text">시간</span>
                                                </div>
                                            </div>
                                            @Html.ValidationMessageFor(model => model.disable_hours, "", new { @class = "text-danger" })
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>시작일시필수</label>
                                        </th>
                                        <td colspan="3">
                                            <div class="card-group">
                                                <div class="input-group" style="width:240px">
                                                    @Html.EditorFor(model => model.start_date, new { htmlAttributes = new { @class = "datepicker-here form-control bg-white border", @placeholder = "yyyy-mm-dd hh:mm:ss", autocomplete = "off" } })

                                                    <div class="input-group-append">
                                                        <span class="input-group-text"><i class="icon-event"></i></span>
                                                    </div>
                                                </div>
                                                <div class="mt-2 ml-2">
                                                    <span>시작일시를 오늘로</span>
                                                </div>
                                            </div>
                                            @Html.ValidationMessageFor(model => model.start_date, "", new { @class = "text-danger" })
                                        </td>
                                        <th>
                                            <label>종료일시필수</label>
                                        </th>
                                        <td colspan="3">
                                            <div class="card-group">
                                                <div class="input-group" style="width:240px">
                                                    @Html.EditorFor(model => model.stop_date, new { htmlAttributes = new { @class = "datepicker-here form-control bg-white border", @placeholder = "yyyy-mm-dd hh:mm:ss", autocomplete = "off" } })

                                                    <div class="input-group-append">
                                                        <span class="input-group-text"><i class="icon-event"></i></span>
                                                    </div>
                                                </div>
                                                <div class="mt-2 ml-2">
                                                    <span>종료일시를 오늘로부터 7일 후로</span>
                                                </div>
                                            </div>
                                            @Html.ValidationMessageFor(model => model.stop_date, "", new { @class = "text-danger" })
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>팝업레이어 좌측 위치필수</label>
                                        </th>
                                        <td>
                                            <div class="input-group mb-2" style="width:150px">
                                                @Html.EditorFor(model => model.pop_left, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                <div class="input-group-append">
                                                    <span class="input-group-text">px</span>
                                                </div>
                                            </div>
                                            @Html.ValidationMessageFor(model => model.pop_left, "", new { @class = "text-danger" })
                                        </td>
                                        <th>
                                            <label>팝업레이어 상단 위치필수</label>
                                        </th>
                                        <td>
                                            <div class="input-group mb-2" style="width:150px">
                                                @Html.EditorFor(model => model.pop_top, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                <div class="input-group-append">
                                                    <span class="input-group-text">px</span>
                                                </div>
                                            </div>
                                            @Html.ValidationMessageFor(model => model.pop_top, "", new { @class = "text-danger" })
                                        </td>
                                        <th>
                                            <label>팝업레이어 넓이필수</label>
                                        </th>
                                        <td>
                                            <div class="input-group mb-2" style="width:150px">
                                                @Html.EditorFor(model => model.pop_width, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                <div class="input-group-append">
                                                    <span class="input-group-text">px</span>
                                                </div>
                                            </div>
                                            @Html.ValidationMessageFor(model => model.pop_width, "", new { @class = "text-danger" })
                                        </td>
                                        <th>
                                            <label>팝업레이어 높이필수</label>
                                        </th>
                                        <td>
                                            <div class="input-group mb-2" style="width:150px">
                                                @Html.EditorFor(model => model.pop_height, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                <div class="input-group-append">
                                                    <span class="input-group-text">px</span>
                                                </div>
                                            </div>
                                            @Html.ValidationMessageFor(model => model.pop_height, "", new { @class = "text-danger" })
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>팝업 제목필수</label>
                                        </th>
                                        <td colspan="7">
                                            <div style="width:640px;">
                                                @Html.EditorFor(model => model.name, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                @Html.ValidationMessageFor(model => model.name, "", new { @class = "text-danger" })
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>내용</label>
                                        </th>
                                        <td colspan="7">
                                            @Html.TextAreaFor(model => model.detail, new { @class = "ckeditor" })
                                            @Html.ValidationMessageFor(model => model.detail, "", new { @class = "text-danger" })
                                        </td>
                                    </tr>
                                    <tr><td colspan="8"></td></tr>
                                </table>
                                <div class="form-group text-center">
                                    <div class="col-md-offset-2 col-md-10">
                                        <input type="button" value="Back" onclick="location.href='@Url.Action("Index", "PopupList")'" class="btn btn-light" />
                                        <input type="submit" value="Save" class="btn btn-default" />
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
}
<script>
    $(function () {
        $("th").addClass("bg-secondary-rgba align-middle");
        $("#liConfig").addClass("active");
        $("#mePopup").addClass("active");
        //$("#start_date").datepicker({
        //    changeMonth: true,
        //    changeYear: true,
        //    dateFormat: 'yy-mm-dd'
        //});
        //$("#stop_date").datepicker({
        //    changeMonth: true,
        //    changeYear: true,
        //    dateFormat: 'yy-mm-dd'
        //});



        var $dp1 = $("#start_date");
        $dp1.datepicker({
            changeYear: true,
            changeMonth: true,
            minDate: 0,
            dateFormat: "yy-mm-dd",
            yearRange: "-100:+20",
        });

        var $dp2 = $("#stop_date");
        $dp2.datepicker({
            changeYear: true,
            changeMonth: true,
            minDate: 7,
            yearRange: "-100:+20",
            dateFormat: "yy-mm-dd",
        });
    });
</script>